# -*- coding: utf-8 -*-
"""

	Script to register all custom GDB extensions


 Copyright 2020-2025 NXP

 NXP Confidential and Proprietary. This software is owned or controlled by NXP
 and may only be used strictly in accordance with the applicable license terms.
 By expressly accepting such terms or by downloading, installing, activating
 and/or otherwise using the software, you are agreeing that you have read, and
 that you agree to comply with and are bound by, such license terms. If you do
 not agree to be bound by the applicable license terms, then you may not retain,
 install, activate or otherwise use the software.
"""


import sys
import os

#add gdb_extensions to system path
sys.path.insert(0, ''.join([os.path.dirname(os.path.realpath(__file__))]))

from registers.commands import create_commands as regs_commands
from target.commands import create_commands as target_commands
from xt.commands import create_commands as xt_commands
from thread_awareness.commands import create_commands as ta_commands
from dwarf_stack_unwinders import register_symbol_load as dwarf_stack_unwinders
from time_cmd import create_commands as time_commands
from mmu.scripts.mmu_init import mmu_initialization as mmu_commands
from cache.commands import create_commands as cache_commands

def internal_source_scripts():
    target_commands()
    regs_commands()
    xt_commands()
    ta_commands()
    dwarf_stack_unwinders()
    time_commands()
    mmu_commands()
    cache_commands()

internal_source_scripts()